Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042015
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Modules] External Data IntegrationminorN/A2019-10-15 10:112020-08-11 13:29
ReporterguillermogilView Statuspublic 
Assigned ToAugustoMauch 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionb6e60fe5333c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned Tocaristu
Regression introduced in release
Summary

0042015: Some EDL Requests should not be able to reprocess

DescriptionSome EDL Requests should not be able to reprocess.
Depending on the third party it can rely on errors if we resend the EDL. e.g.- Payments integration
Steps To ReproduceN/A
Proposed SolutionHave a column on EDL Process that will define if it is possible or not(diff attached).
It should modify the display logic and the process.
TagsNo tags attached.
Attached Filesdiff file icon 42015AD.diff [^] (15,767 bytes) 2019-10-15 10:12 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0044784 newAugustoMauch Missing display logic in reprocess button of the lines tab in EDL request window 

-  Notes
(0116535)
hgbot (developer)
2019-12-26 14:41

Repository: erp/pmods/org.openbravo.externaldata.integration
Changeset: b6e60fe5333c5aecd9e8307aef8b29058dae35e5
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Thu Dec 26 14:41:17 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.externaldata.integration/rev/b6e60fe5333c5aecd9e8307aef8b29058dae35e5 [^]

Fixes BUG-42015: Adds a Reprocess Policy to EDL Processes

Before this change all EDL Requests belongin to any EDL Process could eb reprocessed, regardless
of its status. This can result in problems, as some EDL Requests are supposed to be executed only
once.

A new field has been added to the EDL Process window to define the Reprocess policy. The following
options are available:
- All requests can be reprocessed: This one maintains the current behaviour.
- Only reprocess errors: If this one is selected, only the EDL Requests (or lines if the process is
asynchronous) might be reprocessed. For synchronous processes, the Process button will only be shown
if the status of the selected EDL Request is error. For asynchronous processes the button will be shown,
but the Errors only button in the parameter window that will open will be checked and will not be updatable.
- No reprocess: If this one is selected the EDL Requests for this process will not be reprocessable,
the Process button will not be shown.

---
M src-db/database/model/tables/OBEDL_PROCESS.xml
M src-db/database/sourcedata/AD_AUXILIARINPUT.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src-db/database/sourcedata/OBUIAPP_PARAMETER.xml
---
(0116536)
AugustoMauch (developer)
2019-12-26 16:37

Documentation has been updated here: http://wiki.openbravo.com/wiki/Module:External_Data_Integration/Developers_Guide/How_To_Implement_A_EDL_Process [^]
(0116547)
hgbot (developer)
2019-12-27 09:55

Repository: erp/pmods/org.openbravo.externaldata.integration
Changeset: e28560dbec71c2aa4a4ec06d740799ad5eefd70d
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Fri Dec 27 09:55:33 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.externaldata.integration/rev/e28560dbec71c2aa4a4ec06d740799ad5eefd70d [^]

Related with BUG-42015: Adds an onCreateDefault to new reprocess_policy column

---
M src-db/database/model/tables/OBEDL_PROCESS.xml
---
(0116573)
hgbot (developer)
2019-12-30 14:56

Repository: erp/pmods/org.openbravo.externaldata.integration.examples
Changeset: 561bd3cbd4f798fec630869a7c9c145c3f6537a3
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon Dec 30 14:55:53 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.externaldata.integration.examples/rev/561bd3cbd4f798fec630869a7c9c145c3f6537a3 [^]

Related with BUG 42015: Include reprocess policy in existing processes

---
M src-db/database/sourcedata/OBEDL_PROCESS.xml
---
(0116574)
hgbot (developer)
2019-12-30 15:00

Repository: erp/pmods/org.openbravo.service.external.integration
Changeset: c4a033b9bf072ca49813b82608bc326ae52699b5
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon Dec 30 14:58:56 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.service.external.integration/rev/c4a033b9bf072ca49813b82608bc326ae52699b5 [^]

Related with BUG 42015: Include reprocess policy in existing processes

---
M src-db/database/sourcedata/OBEDL_PROCESS.xml
---
(0116575)
hgbot (developer)
2019-12-30 15:00

Repository: erp/pmods/org.openbravo.service.integration.sapecc
Changeset: 779829142e3390b09aee29b15287a879dd8a5fd0
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon Dec 30 15:00:18 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.service.integration.sapecc/rev/779829142e3390b09aee29b15287a879dd8a5fd0 [^]

Related with BUG 42015: Include reprocess policy in existing processes

---
M src-db/database/sourcedata/OBEDL_PROCESS.xml
---
(0117795)
caristu (developer)
2020-02-14 11:09
edited on: 2020-08-11 13:29

It is missing the display logic in reprocess button of the lines, reported a new issue to fix it: 0044784


- Issue History
Date Modified Username Field Change
2019-10-15 10:11 guillermogil New Issue
2019-10-15 10:11 guillermogil Assigned To => platform
2019-10-15 10:12 guillermogil File Added: 42015AD.diff
2019-12-26 14:41 hgbot Checkin
2019-12-26 14:41 hgbot Note Added: 0116535
2019-12-26 14:41 hgbot Status new => resolved
2019-12-26 14:41 hgbot Resolution open => fixed
2019-12-26 14:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.externaldata.integration/rev/b6e60fe5333c5aecd9e8307aef8b29058dae35e5 [^]
2019-12-26 16:37 AugustoMauch Note Added: 0116536
2019-12-27 09:55 hgbot Checkin
2019-12-27 09:55 hgbot Note Added: 0116547
2019-12-30 14:56 hgbot Checkin
2019-12-30 14:56 hgbot Note Added: 0116573
2019-12-30 15:00 hgbot Checkin
2019-12-30 15:00 hgbot Note Added: 0116574
2019-12-30 15:00 hgbot Checkin
2019-12-30 15:00 hgbot Note Added: 0116575
2020-02-13 08:57 AugustoMauch Review Assigned To => caristu
2020-02-14 11:09 caristu Assigned To platform => AugustoMauch
2020-02-14 11:09 caristu Note Added: 0117795
2020-02-14 11:09 caristu Status resolved => new
2020-02-14 11:09 caristu Resolution fixed => open
2020-08-11 13:28 caristu Issue cloned 0044784
2020-08-11 13:28 caristu Relationship added related to 0044784
2020-08-11 13:28 caristu Status new => scheduled
2020-08-11 13:29 caristu Status scheduled => resolved
2020-08-11 13:29 caristu Resolution open => fixed
2020-08-11 13:29 caristu Status resolved => closed
2020-08-11 13:29 caristu Note Edited: 0117795 View Revisions


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker